// Icons.java
// $Id: Icons.java,v 1.2 2000/08/17 15:07:27 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html
package org.w3c.jwput.gui;

import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.Icon;
import javax.swing.JButton;

import org.w3c.tools.widgets.Utilities;

/**
 * @version $Revision: 1.2 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class Icons {

    public static ImageIcon getIcon(String name) {
	if (name == null) {
	    return null;
	}
	if (name.indexOf('/') == -1) {
	    name = "/org/w3c/jwput/images/"+name;
	}
	URL location = Icons.class.getResource(name);
	if (location == null) {
	    return null;
	}
	return new ImageIcon(location);
    }

    public static JButton getIconButton(String normalButton,
					String pressedButton,
					String disabledButton)
    {
	Icon normal    = getIcon(normalButton);
	Icon pressed   = getIcon(pressedButton);
	Icon disabled  = getIcon(disabledButton);
	JButton button = new JButton(normal);
	button.setPressedIcon(pressed);
	button.setDisabledIcon(disabled);
	button.setMargin(Utilities.insets0);
	button.setBorderPainted(false);
	button.setContentAreaFilled(false);
	return button;
    }
					

}
